<?php
require_once(LIB_PATH . 'Dashboard.inc'); 
require_once(CORE_PATH . 'webPolicy.inc'); 
require_once(CORE_PATH . 'common.inc'); 
function x_25($x_16f = 'html', $x_16g = 0, $x_3k = Array()) { 
global $x_33; 
$x_z = new x_10(); 
$x_z->x_23 = $x_3k['x_23']; 
$x_1 = kerio("webiface::PhpSession"); 
$x_1->getCsrf(&$x_s); 
$x_1->getQuota(&$x_16h); 
$x_45 = 0; 
$x_45 = $x_1->isPasswdChangeable(); 
$x_e2 = Array(); 
if (1 == $x_16g || 'html' == $x_16f) { 
$x_16i = ''; 
$x_8j = x_9m($x_16h, 
$x_33); 
$x_16i = $x_z->kp_table($x_8j, 
'cellpadding="0" cellspacing="0" border="0" class="userQuota"'); 
$x_9f = Array(); 
$x_1->getHttpPolicy(&$x_9f); 
$x_8j = x_9e($x_9f); 
$x_16j = ''; 
$x_16j = $x_z->kp_table($x_8j, 
'cellpadding="0" cellspacing="0" border="0" class="httpPolicy"'); 
$x_e2[1] = Array('x_dy' => Array( 'title' => '<kerio:text id="lang_quota_stats" />', 
'icon' => 'quotaIco.gif', 
'data' => $x_16i), 
'x_dz' => Array( 'title' => '<kerio:text id="lang_http_restr" />', 
'icon' => 'siteRes.gif', 
'data' => $x_16j)); 
} 
if ('html' == $x_16f) { 
$x_z->x_dv('L5'); 
foreach ($x_e2 as $x_kv => $x_7d) { 
$x_z->x_e0($x_kv, $x_7d); 
} 
$x_16k = $x_z->x_eb('accStats') . $x_z->x_1u(); 
return $x_16k; 
} elseif('xml' == $x_16f) { 
$x_z->x_dv('L5'); 
$x_z->x_e0($x_16g, $x_e2[$x_16g]); 
return $x_z->x_e6($x_16g); 
} 
} 
?>
